---
title: Retrieve Multiple Datasources
description: Returns a paginated array of datasource objects
url: https://storyblok.com/docs/api/management/datasources/retrieve-multiple-datasources
---

# Retrieve Multiple Datasources

GET

```html
https://mapi.storyblok.com/v1/spaces/:space_id/datasources
```

Returns a [paginated](/docs/api/management/getting-started/pagination) array of datasource objects.

You can filter the response by `slug`.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    

## Query Parameters

-   `search` (string)
    
    Search datasources name
    
-   `by_ids` (string)
    
    Search datasources IDs (comma separated)
    

## Response properties

-   `datasources` (The Datasource Object\[\])
    
    An array of [datasource objects](/docs/api/management/datasources/retrieve-a-single-datasource)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/datasources/\
    ?search=Labels+for+Website" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('spaces/288868932106293/datasources/', {
        "search": "Labels for Website"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('spaces/288868932106293/datasources/', [
      "search" => "Labels for Website"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/datasources/?search=Labels+for+Website")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/datasources/?search=Labels+for+Website");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/datasources/"
    
    querystring = {"search":"Labels for Website"}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('spaces/288868932106293/datasources/', {:params => {
      "search" => "Labels for Website"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/datasources/")
    request.url!.append(queryItems: [
        URLQueryItem(name: "search", value: "Labels for Website")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("spaces/288868932106293/datasources/") {
        url {
            parameters.append("search", "Labels for Website")
        }
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Retrieve a Single Datasource](/docs/api/management/datasources/retrieve-a-single-datasource)
-   [Next: The Datasource Object](/docs/api/management/datasources/the-datasource-object)
